Page MenuHomePhabricator

Monthly donor message on payments missing contact email address
Closed, ResolvedPublic

Description

The message donate_interface-monthly-cancel that appears for monthly donors on paymentswiki is missing the contact email address donate@wikimedia.org at the end in all languages. Looks like it needs to be passed as a parameter to the message.

English form

For recurring donors, fixed monthly payments will be debited by the Wikimedia Foundation on the monthly anniversary of the first donation, until such time as you notify us to discontinue them. Donations initiated on the 29, 30, or 31 of the month will recur on the last day of the month for shorter months, as close to the original date as possible. For questions, please contact .

French form

Pour les donateurs mensualisés, un montant fixe vous sera prélevé chaque mois par la Wikimedia Foundation à la même date de chaque mois que celle de votre premier don et ce jusqu’à ce que vous nous informiez que vous souhaitez y mettre fin. Pour les dons démarrés le 29, 30 ou 31 du mois, les prélèvements suivants seront effectués le dernier jour du mois pour les mois les plus courts, à la date la plus proche possible de celle du premier don. Pour toutes questions, veuillez contacter .

Event Timeline

Pcoombe created this task.Aug 9 2019, 6:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2019, 6:10 PM

Change 530459 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Add problems_email to context for all forms

https://gerrit.wikimedia.org/r/530459

Ejegg claimed this task.Aug 15 2019, 11:21 PM
Ejegg triaged this task as High priority.
Ejegg moved this task from Triage to Current Sprint on the Fundraising-Backlog board.

Embarrassing bug with an easy fix, so I'm pulling it into sprint.

Change 530459 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Add problems_email to context for all forms

https://gerrit.wikimedia.org/r/530459

Ejegg added a comment.Aug 19 2019, 3:41 PM

@Pcoombe thanks for reporting this. Should be fixed now for all languages.

Pcoombe closed this task as Resolved.Aug 20 2019, 1:04 PM

Thanks @Ejegg!